Tp::BaseChannelConferenceInterface Class Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | Static Public Member Functions | List of all members
Tp::BaseChannelConferenceInterface Class Reference
Connection manager service implementation

Base class for implementations of Channel.Interface.Conference. More...

`#include <TelepathyQt/BaseChannel>`

Inherits Tp::AbstractChannelInterface.

## Public Member Functions
virtual | ~BaseChannelConferenceInterface ()
QVariantMap | immutableProperties () const
Tp::ObjectPathList | channels () const
Tp::ObjectPathList | initialChannels () const
Tp::UIntList | initialInviteeHandles () const
QStringList | initialInviteeIDs () const
QString | invitationMessage () const
ChannelOriginatorMap | originalChannels () const
void | mergeChannel (const QDBusObjectPath &channel, uint channelHandle, const QVariantMap &properties)
void | removeChannel (const QDBusObjectPath &channel, const QVariantMap &details)
Public Member Functions inherited from Tp::AbstractChannelInterface
| AbstractChannelInterface (const QString &interfaceName)
virtual | ~AbstractChannelInterface ()
Public Member Functions inherited from Tp::AbstractDBusServiceInterface
| AbstractDBusServiceInterface (const QString &interfaceName)
virtual | ~AbstractDBusServiceInterface ()
QString | interfaceName () const
DBusObject * | dbusObject () const
bool | isRegistered () const
bool | notifyPropertyChanged (const QString &propertyName, const QVariant &propertyValue)
Public Member Functions inherited from Tp::Object
virtual | ~Object ()
Public Member Functions inherited from Tp::RefCounted
| RefCounted ()
virtual | ~RefCounted ()

## Static Public Member Functions
static BaseChannelConferenceInterfacePtr | create (Tp::ObjectPathList initialChannels=Tp::ObjectPathList(), Tp::UIntList initialInviteeHandles=Tp::UIntList(), QStringList initialInviteeIDs=QStringList(), QString invitationMessage=QString(), ChannelOriginatorMap originalChannels=ChannelOriginatorMap())
template<typename BaseChannelConferenceInterfaceSubclass >
static SharedPtr < BaseChannelConferenceInterfaceSubclass > | create (Tp::ObjectPathList initialChannels=Tp::ObjectPathList(), Tp::UIntList initialInviteeHandles=Tp::UIntList(), QStringList initialInviteeIDs=QStringList(), QString invitationMessage=QString(), ChannelOriginatorMap originalChannels=ChannelOriginatorMap())

## Additional Inherited Members
Signals inherited from Tp::Object
void | propertyChanged (const QString &propertyName)
Protected Member Functions inherited from Tp::AbstractDBusServiceInterface
virtual bool | registerInterface (DBusObject *dbusObject)
Protected Member Functions inherited from Tp::Object
| Object ()
void | notify (const char *propertyName)

## Detailed Description

Base class for implementations of Channel.Interface.Conference.

## Constructor & Destructor Documentation

Tp::BaseChannelConferenceInterface::~BaseChannelConferenceInterface | ( |  | ) |
| virtual

Class destructor.

## Member Function Documentation

static BaseChannelConferenceInterfacePtr Tp::BaseChannelConferenceInterface::create | ( | Tp::ObjectPathList | initialChannels = `Tp::ObjectPathList()`,
|  | Tp::UIntList | initialInviteeHandles = `Tp::UIntList()`,
|  | QStringList | initialInviteeIDs = `QStringList()`,
|  | QString | invitationMessage = `QString()`,
|  | ChannelOriginatorMap | originalChannels = `ChannelOriginatorMap()`
| ) |  |
| inlinestatic

template<typename BaseChannelConferenceInterfaceSubclass >

static SharedPtr<BaseChannelConferenceInterfaceSubclass> Tp::BaseChannelConferenceInterface::create | ( | Tp::ObjectPathList | initialChannels = `Tp::ObjectPathList()`,
|  | Tp::UIntList | initialInviteeHandles = `Tp::UIntList()`,
|  | QStringList | initialInviteeIDs = `QStringList()`,
|  | QString | invitationMessage = `QString()`,
|  | ChannelOriginatorMap | originalChannels = `ChannelOriginatorMap()`
| ) |  |
| inlinestatic

QVariantMap Tp::BaseChannelConferenceInterface::immutableProperties | ( |  | ) | const
| virtual

Return the immutable properties of this interface.

Immutable properties cannot change after the interface has been registered on a service on the bus with registerInterface().

Returns
  The immutable properties of this interface.

Implements Tp::AbstractDBusServiceInterface.

Tp::ObjectPathList Tp::BaseChannelConferenceInterface::channels | ( |  | ) | const

Tp::ObjectPathList Tp::BaseChannelConferenceInterface::initialChannels | ( |  | ) | const

Tp::UIntList Tp::BaseChannelConferenceInterface::initialInviteeHandles | ( |  | ) | const

QStringList Tp::BaseChannelConferenceInterface::initialInviteeIDs | ( |  | ) | const

QString Tp::BaseChannelConferenceInterface::invitationMessage | ( |  | ) | const

ChannelOriginatorMap Tp::BaseChannelConferenceInterface::originalChannels | ( |  | ) | const

void Tp::BaseChannelConferenceInterface::mergeChannel | ( | const QDBusObjectPath & | channel,
|  | uint | channelHandle,
|  | const QVariantMap & | properties
| ) |  |

void Tp::BaseChannelConferenceInterface::removeChannel | ( | const QDBusObjectPath & | channel,
|  | const QVariantMap & | details
| ) |  |